Get model
curl --request GET \
--url https://api.example.com/v1/models/{id} \
--header 'X-API-Key: <api-key>'{
"architecture": {
"instruct_type": "<string>",
"modalities": [
{
"modality_type": "<string>",
"modality_value": "<string>"
}
],
"modality": "<string>",
"tokenizer": "<string>"
},
"author": "<string>",
"context_length": 123,
"created_at": "2023-11-07T05:31:56Z",
"default_parameters": {
"parameters": {
"frequency_penalty": 123,
"logprobs": true,
"max_completion_tokens": 123,
"max_tokens": 123,
"min_p": 123,
"n": 123,
"parallel_tool_calls": true,
"seed": 123,
"stop_sequences": [
"<string>"
],
"store": true,
"temperature": 123,
"top_a": 123,
"top_k": 123,
"top_logprobs": 123,
"top_p": 123
}
},
"description": "<string>",
"display_name": "<string>",
"id": 123,
"last_updated": "2023-11-07T05:31:56Z",
"model_name": "<string>",
"pricing": {
"completion_cost": "<string>",
"image_cost": "<string>",
"internal_reasoning_cost": "<string>",
"prompt_cost": "<string>",
"request_cost": "<string>",
"web_search_cost": "<string>"
},
"providers": [
{
"context_length": 123,
"is_zdr": "<string>",
"max_completion_tokens": 123,
"max_prompt_tokens": 123,
"name": "<string>",
"pricing": {
"audio_cost": "<string>",
"completion_cost": "<string>",
"discount": "<string>",
"image_cost": "<string>",
"image_output_cost": "<string>",
"input_audio_cache_cost": "<string>",
"input_cache_read_cost": "<string>",
"input_cache_write_cost": "<string>",
"prompt_cost": "<string>",
"request_cost": "<string>"
},
"provider_model_name": "<string>",
"provider_name": "<string>",
"quantization": "<string>",
"status": 123,
"supports_implicit_caching": "<string>",
"tag": "<string>",
"uptime_last_30m": "<string>"
}
],
"supported_parameters": [
{
"parameter_name": "<string>"
}
],
"top_provider": {
"context_length": 123,
"is_moderated": "<string>",
"max_completion_tokens": 123
}
}API Reference
Get model
Fetch a model from the registry by ID.
GET
/
v1
/
models
/
{id}
Get model
curl --request GET \
--url https://api.example.com/v1/models/{id} \
--header 'X-API-Key: <api-key>'{
"architecture": {
"instruct_type": "<string>",
"modalities": [
{
"modality_type": "<string>",
"modality_value": "<string>"
}
],
"modality": "<string>",
"tokenizer": "<string>"
},
"author": "<string>",
"context_length": 123,
"created_at": "2023-11-07T05:31:56Z",
"default_parameters": {
"parameters": {
"frequency_penalty": 123,
"logprobs": true,
"max_completion_tokens": 123,
"max_tokens": 123,
"min_p": 123,
"n": 123,
"parallel_tool_calls": true,
"seed": 123,
"stop_sequences": [
"<string>"
],
"store": true,
"temperature": 123,
"top_a": 123,
"top_k": 123,
"top_logprobs": 123,
"top_p": 123
}
},
"description": "<string>",
"display_name": "<string>",
"id": 123,
"last_updated": "2023-11-07T05:31:56Z",
"model_name": "<string>",
"pricing": {
"completion_cost": "<string>",
"image_cost": "<string>",
"internal_reasoning_cost": "<string>",
"prompt_cost": "<string>",
"request_cost": "<string>",
"web_search_cost": "<string>"
},
"providers": [
{
"context_length": 123,
"is_zdr": "<string>",
"max_completion_tokens": 123,
"max_prompt_tokens": 123,
"name": "<string>",
"pricing": {
"audio_cost": "<string>",
"completion_cost": "<string>",
"discount": "<string>",
"image_cost": "<string>",
"image_output_cost": "<string>",
"input_audio_cache_cost": "<string>",
"input_cache_read_cost": "<string>",
"input_cache_write_cost": "<string>",
"prompt_cost": "<string>",
"request_cost": "<string>"
},
"provider_model_name": "<string>",
"provider_name": "<string>",
"quantization": "<string>",
"status": 123,
"supports_implicit_caching": "<string>",
"tag": "<string>",
"uptime_last_30m": "<string>"
}
],
"supported_parameters": [
{
"parameter_name": "<string>"
}
],
"top_provider": {
"context_length": 123,
"is_moderated": "<string>",
"max_completion_tokens": 123
}
}Documentation Index
Fetch the complete documentation index at: https://docs.nordlyslabs.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Example:
"claude-sonnet-4-5"
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

